$!-----------------------------------------------------------------------------
$! BUILD_HYPERSPI.COM
$! Builds the HYPERSPI utility for both VAX and AXP systems (separately)
$!
$! 08-AUG-98  MGD  unbundled version
$! 01-DEC-95  MGD  VAX migrate from VAX C to DEC C
$! 20-JUN-95  MGD  initial development
$!-----------------------------------------------------------------------------
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""HYPERSPI""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ DEFINES = "/DEFINE=(__VMS,_VMS_V6_SOURCE=1,__VMS_VER=60000000,__CRTL_VER=60000000)"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/STANDARD=VAXC 'DEFINES' /OBJECT=''OBJECT_DIR'"
$    LINK_OPTIONS = "HYPERSPI_VAX.OPT/OPTIONS"
$ ELSE
$    CC_OPTIONS = " /STANDARD=VAX 'DEFINES' /OBJECT=''OBJECT_DIR'"
$    LINK_OPTIONS = "HYPERSPI_AXP.OPT/OPTIONS"
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' HyperSpi
$    CC 'CC_OPTIONS' HyperSpi_PlotSpi
$    CC 'CC_OPTIONS' HyperSpi_GifSpi
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ IF P1 .EQS. "" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACE /EXECUTABLE=HYPERSPI_'ARCH_NAME'.EXE -
     'OBJECT_DIR'HyperSpi, -
     'OBJECT_DIR'HyperSpi_PlotSpi, -
     'OBJECT_DIR'HyperSpi_GifSpi, -
     []'LINK_OPTIONS'
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE HYPERSPI_'ARCH_NAME'.EXE
$ PURGE /NOLOG 'OBJECT_DIR'
$!-----------------------------------------------------------------------------
